What are the system requirements needed to take this course?

If you are using a computer:

  • We are compatible with all computers, but it is recommended that your computer is on the latest software for the best experience.
  • It needs to have a built-in webcam or one that can be hooked up to your computer
    • This is for your proctored final exam at the end of each course. Chromebooks will work with the course itself, but Chromebooks are not supported for the final proctored exam. 
  • It is compatible with Google Chrome, Mozilla Firefox, Opera, and Microsoft Edge. We do not recommend using Safari or Internet Explorer for the best experience. We recommend being on the most up-to-date version of your Internet browser for the best experience. 

If you are using an iPhone or an iPad:

  • Compatible with iOS software versions 9.3 and up
  • The oldest compatible iPhone is an iPhone 4S on iOS 9.3.5
  • The oldest compatible iPad is an iPad 2 on iOS 9.3.5
  • You must use a computer and have a webcam in order to take your proctored final exam at the end of each course.

If you are using an Android smartphone or tablet:

  • Compatible with Android OS software versions 4.4 and up
  • You must use a computer and have a webam in order to take your proctored final exam at the end of each course.
Was this article helpful?
10 out of 18 found this helpful

Articles in this section

See more
Looking for technical assistance with our courses, or Examity?
Click to go to our Technical & Troubleshooting section!
Not finding your answer? Let us help!
Our Student Concierge is here for you 7 days a week!
Ready to be an #AceableAgent?
Click through to purchase the course that's right for you, and take the first steps towards launching your new career!